#ifndef POLYGON_H_
#define POLYGON_H_

#include <iostream>

using namespace std;

class Polygon {
protected:
  double height;
  double width;
public:
  Polygon(double h = 5, double w = 10);
  ~Polygon();
  double getHeight() const;
  void setHeight(double number);
  double getWidth() const;
  void setWidth(double number);
  virtual double area() = 0;  // = 0 means we will declare this function in the other classes but not here --> pure virtual polymorphism
};

#endif
